/*
 *   senator - ASF video stream server
 *   Copyright (C) 2002  anonymous author
 *
 *
 *  senator is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *   
 *  Senator is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *	
 *  You should have received a copy of the GNU General Public License
 *  along with senator; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 *
 */

#ifndef CLog_h_included
#define CLog_h_included

#include <time.h>
#include <fstream.h>
#include <iostream.h>
#include <string>

class CLog;
extern CLog *logger;

class CLog{

private:
	std::string	_logFile;
	bool		_logStarted;
	bool		_outputToConsole;
		
public:
	CLog(const std::string &fileName);
	~CLog();

	void	logText(const std::string &text);
	// mayb to console, not to file
	void	logError(const std::string &text);
	// alwaws to console and to file
	void	logInfo(const std::string &text);
	// mayb to console, always to file

	void	start();
	void	stop();
	bool	logStarted();
	void	outputToConsole(bool status);

};

#endif // CLog_h_included
